Rails 2.3


#1

Hello,

I’ve been looking on the Internet for how to use libxml within Rails.
What I’m seeing is a little confusing. If you install the libxml gem,
will Rails automatically use that because its installed or do you have
to explicitly set libxml to be the default after you’ve installed it?

This posting

http://www.coffeepowered.net/2009/03/16/things-to-do-when-upgrading-to-rails-23/

Says to set this in the environment file.

  1. ActiveSupport::XmlMini.backend = ‘LibXML’

But when I do that my app crashes. Anyone have any experience with
this?

thanks,

binh


#2

Binh Ly wrote:

Hello,

I’ve been looking on the Internet for how to use libxml within Rails.
What I’m seeing is a little confusing. If you install the libxml gem,
will Rails automatically use that because its installed or do you have
to explicitly set libxml to be the default after you’ve installed it?

This posting

http://www.coffeepowered.net/2009/03/16/things-to-do-when-upgrading-to-rails-23/

Says to set this in the environment file.

  1. ActiveSupport::XmlMini.backend = ‘LibXML’

But when I do that my app crashes. Anyone have any experience with
this?

If you could provide the entire backtrace, it would be much easier to
diagnose.

Michael G.